Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorslewis2018-02-28 20:32:29 -0500
committerslewis2018-02-28 20:32:29 -0500
commit49955d46b614081d794690b262634cd6ccb2ad57 (patch)
treeeec46912db154bb5e3a00a12c0f255ccbcc78a92 /providers/bundles
parentbed8f525ff5131cf49d9a6d65d49d0c3e3b14c34 (diff)
downloadorg.eclipse.ecf-49955d46b614081d794690b262634cd6ccb2ad57.tar.gz
org.eclipse.ecf-49955d46b614081d794690b262634cd6ccb2ad57.tar.xz
org.eclipse.ecf-49955d46b614081d794690b262634cd6ccb2ad57.zip
bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=530952
Update to manifests for org.eclipse.ecf.provider.filetransfer.*, and features Change-Id: Ib0a10e2ce988cda48ed1f943dc1c63d7f88ce61c Change-Id: Ib0a10e2ce988cda48ed1f943dc1c63d7f88ce61c
Diffstat (limited to 'providers/bundles')
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer.efs/META-INF/MANIFEST.MF13
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer.efs/pom.xml2
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl/META-INF/MANIFEST.MF3
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl/pom.xml2
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4/META-INF/MANIFEST.MF11
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4/pom.xml2
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer.scp/META-INF/MANIFEST.MF19
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer.scp/pom.xml2
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl/META-INF/MANIFEST.MF3
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl/pom.xml2
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer/META-INF/MANIFEST.MF21
-rw-r--r--providers/bundles/org.eclipse.ecf.provider.filetransfer/pom.xml2
12 files changed, 44 insertions, 38 deletions
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer.efs/META-INF/MANIFEST.MF b/providers/bundles/org.eclipse.ecf.provider.filetransfer.efs/META-INF/MANIFEST.MF
index 775f62416..dd0e58744 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer.efs/META-INF/MANIFEST.MF
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer.efs/META-INF/MANIFEST.MF
@@ -2,15 +2,16 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %plugin.name
Bundle-SymbolicName: org.eclipse.ecf.provider.filetransfer.efs;singleton:=true
-Bundle-Version: 1.5.0.qualifier
+Automatic-Module-Name: org.eclipse.ecf.provider.filetransfer.efs
+Bundle-Version: 1.5.100.qualifier
Bundle-Activator: org.eclipse.ecf.internal.provider.filetransfer.efs.Activator
Bundle-Vendor: %plugin.provider
Bundle-Localization: plugin
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.ecf.filetransfer,
- org.eclipse.ecf.provider.filetransfer,
- org.eclipse.ecf,
- org.eclipse.core.filesystem
+Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ecf.filetransfer;bundle-version="[5.0.0,6.0.0)",
+ org.eclipse.ecf.provider.filetransfer;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ecf;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.core.filesystem;bundle-version="[1.0.0,2.0.0)"
Eclipse-LazyStart: true
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.4
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer.efs/pom.xml b/providers/bundles/org.eclipse.ecf.provider.filetransfer.efs/pom.xml
index 44d2d4b54..2cf32da12 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer.efs/pom.xml
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer.efs/pom.xml
@@ -10,6 +10,6 @@
</parent>
<groupId>org.eclipse.ecf</groupId>
<artifactId>org.eclipse.ecf.provider.filetransfer.efs</artifactId>
- <version>1.5.0-SNAPSHOT</version>
+ <version>1.5.100-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl/META-INF/MANIFEST.MF b/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl/META-INF/MANIFEST.MF
index b278ddc21..c95d31fd4 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl/META-INF/MANIFEST.MF
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl/META-INF/MANIFEST.MF
@@ -3,7 +3,8 @@ Bundle-ManifestVersion: 2
Bundle-Name: %plugin.name
Bundle-Vendor: %plugin.provider
Bundle-SymbolicName: org.eclipse.ecf.provider.filetransfer.httpclient4.ssl
-Bundle-Version: 1.1.0.qualifier
+Automatic-Module-Name: org.eclipse.ecf.provider.filetransfer.httpclient4.ssl
+Bundle-Version: 1.1.100.qualifier
Fragment-Host: org.eclipse.ecf.provider.filetransfer.httpclient4;bundle-version="1.0.0"
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Localization: plugin
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl/pom.xml b/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl/pom.xml
index 6ff8456fa..72045a442 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl/pom.xml
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl/pom.xml
@@ -10,6 +10,6 @@
</parent>
<groupId>org.eclipse.ecf</groupId>
<artifactId>org.eclipse.ecf.provider.filetransfer.httpclient4.ssl</artifactId>
- <version>1.1.0-SNAPSHOT</version>
+ <version>1.1.100-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4/META-INF/MANIFEST.MF b/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4/META-INF/MANIFEST.MF
index 95cba9198..e985c8928 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4/META-INF/MANIFEST.MF
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4/META-INF/MANIFEST.MF
@@ -2,13 +2,14 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %plugin.name
Bundle-SymbolicName: org.eclipse.ecf.provider.filetransfer.httpclient4;singleton:=true
-Bundle-Version: 1.1.200.qualifier
+Automatic-Module-Name: org.eclipse.ecf.provider.filetransfer.httpclient4
+Bundle-Version: 1.1.300.qualifier
Bundle-Localization: plugin
Bundle-Activator: org.eclipse.ecf.internal.provider.filetransfer.httpclient4.Activator
-Require-Bundle: org.eclipse.equinox.common,
- org.eclipse.ecf.provider.filetransfer,
- org.eclipse.ecf,
- org.eclipse.ecf.filetransfer
+Require-Bundle: org.eclipse.equinox.common;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ecf.provider.filetransfer;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ecf;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ecf.filetransfer;bundle-version="[5.0.0,6.0.0)"
Eclipse-LazyStart: true
Import-Package: org.apache.http;version="4.1.0",
org.apache.http.auth;version="4.1.0",
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4/pom.xml b/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4/pom.xml
index fc3826a15..85690962f 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4/pom.xml
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4/pom.xml
@@ -10,6 +10,6 @@
</parent>
<groupId>org.eclipse.ecf</groupId>
<artifactId>org.eclipse.ecf.provider.filetransfer.httpclient4</artifactId>
- <version>1.1.200-SNAPSHOT</version>
+ <version>1.1.300-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer.scp/META-INF/MANIFEST.MF b/providers/bundles/org.eclipse.ecf.provider.filetransfer.scp/META-INF/MANIFEST.MF
index 96c59dbb0..da0cdc21f 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer.scp/META-INF/MANIFEST.MF
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer.scp/META-INF/MANIFEST.MF
@@ -2,20 +2,21 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %plugin.name
Bundle-SymbolicName: org.eclipse.ecf.provider.filetransfer.scp;singleton:=true
-Bundle-Version: 2.1.0.qualifier
+Automatic-Module-Name: org.eclipse.ecf.provider.filetransfer.scp
+Bundle-Version: 2.1.100.qualifier
Bundle-Activator: org.eclipse.ecf.internal.provider.filetransfer.scp.Activator
Bundle-Vendor: %plugin.provider
Import-Package: com.jcraft.jsch,
- org.eclipse.osgi.util;version="1.1.0",
- org.osgi.framework;version="1.3.0",
- org.osgi.service.log;version="1.3.0",
- org.osgi.util.tracker;version="1.3.3"
+ org.eclipse.osgi.util;version="[1.1.0,2.0.0)",
+ org.osgi.framework;version="[1.3.0,2.0.0)",
+ org.osgi.service.log;version="[1.3.0,2.0.0)",
+ org.osgi.util.tracker;version="[1.3.3,2.0.0)"
Eclipse-LazyStart: true
Bundle-Localization: plugin
-Require-Bundle: org.eclipse.equinox.common,
- org.eclipse.ecf,
- org.eclipse.ecf.provider.filetransfer,
- org.eclipse.ecf.filetransfer
+Require-Bundle: org.eclipse.equinox.common;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ecf;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ecf.provider.filetransfer;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ecf.filetransfer;bundle-version="[5.0.0,6.0.0)"
Export-Package: org.eclipse.ecf.internal.provider.filetransfer.scp;x-internal:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.4
Bundle-ActivationPolicy: lazy
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer.scp/pom.xml b/providers/bundles/org.eclipse.ecf.provider.filetransfer.scp/pom.xml
index c84e29013..47ade1ec8 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer.scp/pom.xml
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer.scp/pom.xml
@@ -10,6 +10,6 @@
</parent>
<groupId>org.eclipse.ecf</groupId>
<artifactId>org.eclipse.ecf.provider.filetransfer.scp</artifactId>
- <version>2.1.0-SNAPSHOT</version>
+ <version>2.1.100-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl/META-INF/MANIFEST.MF b/providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl/META-INF/MANIFEST.MF
index 5664a2bac..17646fa56 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl/META-INF/MANIFEST.MF
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl/META-INF/MANIFEST.MF
@@ -2,7 +2,8 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %plugin.name
Bundle-SymbolicName: org.eclipse.ecf.provider.filetransfer.ssl
-Bundle-Version: 1.0.0.qualifier
+Automatic-Module-Name: org.eclipse.ecf.provider.filetransfer.ssl
+Bundle-Version: 1.0.100.qualifier
Bundle-Vendor: %plugin.provider
Fragment-Host: org.eclipse.ecf.provider.filetransfer;bundle-version="2.0.0"
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl/pom.xml b/providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl/pom.xml
index e54ae2cc6..6093e613a 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl/pom.xml
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl/pom.xml
@@ -10,6 +10,6 @@
</parent>
<groupId>org.eclipse.ecf</groupId>
<artifactId>org.eclipse.ecf.provider.filetransfer.ssl</artifactId>
- <version>1.0.0-SNAPSHOT</version>
+ <version>1.0.100-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer/META-INF/MANIFEST.MF b/providers/bundles/org.eclipse.ecf.provider.filetransfer/META-INF/MANIFEST.MF
index d1691c82c..494429277 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer/META-INF/MANIFEST.MF
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer/META-INF/MANIFEST.MF
@@ -2,24 +2,25 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %plugin.name
Bundle-SymbolicName: org.eclipse.ecf.provider.filetransfer;singleton:=true
-Bundle-Version: 3.2.300.qualifier
+Automatic-Module-Name: org.eclipse.ecf.provider.filetransfer
+Bundle-Version: 3.2.400.qualifier
Bundle-Activator: org.eclipse.ecf.internal.provider.filetransfer.Activator
Bundle-Vendor: %plugin.provider
Bundle-Localization: plugin
-Require-Bundle: org.eclipse.equinox.common,
- org.eclipse.ecf,
- org.eclipse.ecf.filetransfer,
- org.eclipse.equinox.registry
+Require-Bundle: org.eclipse.equinox.common;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ecf;bundle-version="[3.0.0,4.0.0)",
+ org.eclipse.ecf.filetransfer;bundle-version="[5.0.0,6.0.0)",
+ org.eclipse.equinox.registry;bundle-version="[3.0.0,4.0.0)"
Eclipse-LazyStart: true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Import-Package: org.eclipse.core.net.proxy;resolution:=optional,
org.eclipse.core.runtime.jobs,
org.eclipse.ecf.provider.filetransfer.events.socket;version="[1.0.0,2.0.0)",
- org.eclipse.osgi.util;version="1.0.0",
- org.osgi.framework;version="1.3.0",
- org.osgi.service.log;version="1.3.0",
- org.osgi.service.url;version="1.0.0",
- org.osgi.util.tracker;version="1.3.2"
+ org.eclipse.osgi.util;version="[1.0.0,2.0.0)",
+ org.osgi.framework;version="[1.3.0,2.0.0)",
+ org.osgi.service.log;version="[1.3.0,2.0.0)",
+ org.osgi.service.url;version="[1.0.0,2.0.0)",
+ org.osgi.util.tracker;version="[1.3.2,2.0.0)"
Bundle-ClassPath: .
Export-Package: org.eclipse.ecf.internal.provider.filetransfer;x-internal:=true,
org.eclipse.ecf.provider.filetransfer;version="3.2.0";x-friends:="org.eclipse.equinox.p2.repository",
diff --git a/providers/bundles/org.eclipse.ecf.provider.filetransfer/pom.xml b/providers/bundles/org.eclipse.ecf.provider.filetransfer/pom.xml
index 1df041676..554bf4136 100644
--- a/providers/bundles/org.eclipse.ecf.provider.filetransfer/pom.xml
+++ b/providers/bundles/org.eclipse.ecf.provider.filetransfer/pom.xml
@@ -10,6 +10,6 @@
</parent>
<groupId>org.eclipse.ecf</groupId>
<artifactId>org.eclipse.ecf.provider.filetransfer</artifactId>
- <version>3.2.300-SNAPSHOT</version>
+ <version>3.2.400-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>

Back to the top